# Validates a token GET https://app.unleash-instance.example.com/auth/reset/validate If the token is valid returns the user that owns the token Reference: https://docs.getunleash.io/api/validate-token ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Validates a token version: endpoint_auth.validateToken paths: /auth/reset/validate: get: operationId: validate-token summary: Validates a token description: If the token is valid returns the user that owns the token tags: - - subpackage_auth parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: tokenUserSchema content: application/json: schema: $ref: '#/components/schemas/tokenUserSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} components: schemas: roleSchema: type: object properties: id: type: integer description: The role id type: type: string description: >- A role can either be a global root role (applies to all projects) or a project role name: type: string description: The name of the role description: type: string description: >- A more detailed description of the role and what use it's intended for project: type: - string - 'null' description: What project the role belongs to required: - id - type - name tokenUserSchema: type: object properties: id: type: integer description: The user id name: type: string description: The name of the user email: type: string description: The email of the user token: type: string description: A token uniquely identifying a user createdBy: type: - string - 'null' description: A username or email identifying which user created this token role: $ref: '#/components/schemas/roleSchema' required: - id - email - token - createdBy - role ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/auth/reset/validate" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/auth/reset/validate'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/auth/reset/validate" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/auth/reset/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/auth/reset/validate") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/auth/reset/validate', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/auth/reset/validate"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/auth/reset/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```